<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>frontend documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">frontend documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content component">
                   <div class="content-data">




<ol class="breadcrumb">
  <li>Components</li>
  <li>DomainInfluenceGridComponent</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="active">
            <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
        </li>
        <li >
            <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
        </li>
        <li >
            <a href="#templateData" role="tab" id="templateData-tab" data-toggle="tab" data-link="template">Template</a>
        </li>
        <li >
            <a href="#tree" role="tab" id="tree-tab" data-toggle="tab" data-link="dom-tree">DOM Tree</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info"><p class="comment">
    <h3>File</h3>
</p>
<p class="comment">
    <code>src/app/operation/parameters/domain-influence/domain-influence-grid/domain-influence-grid.component.ts</code>
</p>



    <p class="comment">
        <h3>Implements</h3>
    </p>
    <p class="comment">
                <code><a href="https://angular.io/api/core/OnInit" target="_blank" >OnInit</a></code>
                <code><a href="https://angular.io/api/core/OnChanges" target="_blank" >OnChanges</a></code>
    </p>


<section>
    <h3>Metadata</h3>
    <table class="table table-sm table-hover">
        <tbody>











            <tr>
                <td class="col-md-3">selector</td>
                <td class="col-md-9"><code>domain-influence-grid</code></td>
            </tr>




            <tr>
                <td class="col-md-3">templateUrl</td>
                <td class="col-md-9"><code>./domain-influence-grid.component.html</code></td>
            </tr>








        </tbody>
    </table>
</section>

    <section>
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>
                <tr>
                    <td class="col-md-4">
                        <h6><b>Properties</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#detailDataSource">detailDataSource</a>
                            </li>
                            <li>
                                <a href="#detailDisplayedColumns">detailDisplayedColumns</a>
                            </li>
                            <li>
                                    <span class="modifier">Private</span>
                                <a href="#domainsSubject">domainsSubject</a>
                            </li>
                            <li>
                                <a href="#sort">sort</a>
                            </li>
                        </ul>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Methods</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#ngOnChanges">ngOnChanges</a>
                            </li>
                            <li>
                                <a href="#ngOnInit">ngOnInit</a>
                            </li>
                        </ul>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Inputs</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#domains">domains</a>
                            </li>
                        </ul>
                    </td>
                </tr>




        </tbody>
    </table>
</section>

    <section>
    <h3 id="constructor">Constructor</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
<code>constructor()</code>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="21" class="link-to-prism">src/app/operation/parameters/domain-influence/domain-influence-grid/domain-influence-grid.component.ts:21</a></div>
                            </td>
                        </tr>

            </tbody>
        </table>
</section>

    <section>
    <h3 id="inputs">Inputs</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-2">
                        <a name="domains"></a>
                        <code>domains</code>
                    </td>
                    <td class="col-md-10">
                            <p>
                            <em>Type :</em>    <code><a href="../classes/DomainInfluence.html" target="_self" >DomainInfluence[]</a></code>

                            </p>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-2" colspan="2">
                                    <div class="io-line">Defined in <a href="" data-line="17" class="link-to-prism">src/app/operation/parameters/domain-influence/domain-influence-grid/domain-influence-grid.component.ts:17</a></div>
                            </td>
                        </tr>
            </tbody>
        </table>
</section>



    <section>
    
        <h3 id="methods">
            Methods
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="ngOnChanges"></a>
                        <span class="name">
                            <b>
                            ngOnChanges
                            </b>
                            <a href="#ngOnChanges"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>ngOnChanges()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="30" class="link-to-prism">src/app/operation/parameters/domain-influence/domain-influence-grid/domain-influence-grid.component.ts:30</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="ngOnInit"></a>
                        <span class="name">
                            <b>
                            ngOnInit
                            </b>
                            <a href="#ngOnInit"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>ngOnInit()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="26" class="link-to-prism">src/app/operation/parameters/domain-influence/domain-influence-grid/domain-influence-grid.component.ts:26</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>

    <section>
    
        <h3 id="inputs">
            Properties
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="detailDataSource"></a>
                        <span class="name">
                            <b>
                            detailDataSource
                            </b>
                            <a href="#detailDataSource"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>detailDataSource:     <code><a href="../classes/DomainInfluenceDataSource.html" target="_self" >DomainInfluenceDataSource</a></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code><a href="../classes/DomainInfluenceDataSource.html" target="_self" >DomainInfluenceDataSource</a></code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="18" class="link-to-prism">src/app/operation/parameters/domain-influence/domain-influence-grid/domain-influence-grid.component.ts:18</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="detailDisplayedColumns"></a>
                        <span class="name">
                            <b>
                            detailDisplayedColumns
                            </b>
                            <a href="#detailDisplayedColumns"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>detailDisplayedColumns:     <code>[]</code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code>[]</code>

                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>[&#x27;type&#x27;, &#x27;id&#x27;, &#x27;name&#x27;, &#x27;shortName&#x27;]</code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="19" class="link-to-prism">src/app/operation/parameters/domain-influence/domain-influence-grid/domain-influence-grid.component.ts:19</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="domainsSubject"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Private</span>
                            domainsSubject
                            </b>
                            <a href="#domainsSubject"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <span class="modifier-icon icon ion-ios-reset"></span><code>domainsSubject:     <code><a href="../classes/DomainInfluence.html" target="_self" >BehaviorSubject&lt;DomainInfluence[]&gt;</a></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code><a href="../classes/DomainInfluence.html" target="_self" >BehaviorSubject&lt;DomainInfluence[]&gt;</a></code>

                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>new BehaviorSubject&lt;DomainInfluence[]&gt;([])</code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="21" class="link-to-prism">src/app/operation/parameters/domain-influence/domain-influence-grid/domain-influence-grid.component.ts:21</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="sort"></a>
                        <span class="name">
                            <b>
                            sort
                            </b>
                            <a href="#sort"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>sort:     <code>MatSort</code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code>MatSort</code>

                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <b>Decorators : </b>
                            <br />
                            <code>
                                @ViewChild(MatSort)<br />
                            </code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="20" class="link-to-prism">src/app/operation/parameters/domain-influence/domain-influence-grid/domain-influence-grid.component.ts:20</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
</section>

</div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { DomainInfluence } from &#x27;../model/domain-influence&#x27;;
import { Component, Input, OnChanges, OnInit, ViewChild } from &#x27;@angular/core&#x27;;
import { MatSort } from &#x27;@angular/material&#x27;;
import { DataSource } from &#x27;@angular/cdk/collections&#x27;;
import { Observable } from &#x27;rxjs/Observable&#x27;;
import { BehaviorSubject } from &#x27;rxjs/BehaviorSubject&#x27;;
import { sortOnProperty } from &#x27;../../../../core/util/table-utils&#x27;;
import { map } from &#x27;rxjs/operators&#x27;;
import { merge } from &#x27;rxjs/observable/merge&#x27;;

@Component({
  selector: &#x27;domain-influence-grid&#x27;,
  templateUrl: &#x27;./domain-influence-grid.component.html&#x27;
})
export class DomainInfluenceGridComponent implements OnInit, OnChanges {

  @Input() domains: DomainInfluence[];
  detailDataSource: DomainInfluenceDataSource;
  detailDisplayedColumns &#x3D; [&#x27;type&#x27;, &#x27;id&#x27;, &#x27;name&#x27;, &#x27;shortName&#x27;];
  @ViewChild(MatSort) sort: MatSort;
  private domainsSubject: BehaviorSubject&lt;DomainInfluence[]&gt; &#x3D; new BehaviorSubject&lt;DomainInfluence[]&gt;([]);

  constructor() {
  }

  ngOnInit() {
    this.detailDataSource &#x3D; new DomainInfluenceDataSource(this.domainsSubject, this.sort);
  }

  ngOnChanges(): void {
    this.domainsSubject.next(this.domains);
  }
}

class DomainInfluenceDataSource extends DataSource&lt;DomainInfluence&gt; {

  constructor(private domains: BehaviorSubject&lt;DomainInfluence[]&gt;, private sort: MatSort) {
    super();
  }

  connect(): Observable&lt;DomainInfluence[]&gt; {
    return merge(this.domains, this.sort.sortChange).pipe(
      map(() &#x3D;&gt; sortOnProperty(this.domains.getValue(), this.sort.active, this.sort.direction))
    );
  }

  disconnect() {
  }
}

</code></pre>
    </div>

    <div class="tab-pane fade " id="c-templateData">
        <pre class="line-numbers"><code class="language-html">&lt;mat-card&gt;
  &lt;mat-table [dataSource]&#x3D;&quot;detailDataSource&quot; matSort
             id&#x3D;&quot;detailGrid&quot;&gt;

    &lt;ng-container matColumnDef&#x3D;&quot;type&quot;&gt;
      &lt;mat-header-cell *matHeaderCellDef mat-sort-header&gt;
        {{&quot;parameters.domain-influence.edit.detail-grid.header.type&quot; | translate}}
      &lt;/mat-header-cell&gt;
      &lt;mat-cell *matCellDef&#x3D;&quot;let element&quot;&gt; {{element.type}}&lt;/mat-cell&gt;
    &lt;/ng-container&gt;

    &lt;ng-container matColumnDef&#x3D;&quot;id&quot;&gt;
      &lt;mat-header-cell *matHeaderCellDef mat-sort-header&gt;
        {{&quot;parameters.domain-influence.edit.detail-grid.header.id&quot; | translate}}
      &lt;/mat-header-cell&gt;
      &lt;mat-cell *matCellDef&#x3D;&quot;let element&quot;&gt; {{element.id}}&lt;/mat-cell&gt;
    &lt;/ng-container&gt;

    &lt;ng-container matColumnDef&#x3D;&quot;name&quot;&gt;
      &lt;mat-header-cell *matHeaderCellDef mat-sort-header&gt;
        {{&quot;parameters.domain-influence.edit.detail-grid.header.name&quot; | translate}}
      &lt;/mat-header-cell&gt;
      &lt;mat-cell *matCellDef&#x3D;&quot;let element&quot;&gt; {{element.name}}&lt;/mat-cell&gt;
    &lt;/ng-container&gt;

    &lt;ng-container matColumnDef&#x3D;&quot;shortName&quot;&gt;
      &lt;mat-header-cell *matHeaderCellDef mat-sort-header&gt;
        {{&quot;parameters.domain-influence.edit.detail-grid.header.shortName&quot; | translate}}
      &lt;/mat-header-cell&gt;
      &lt;mat-cell *matCellDef&#x3D;&quot;let element&quot;&gt; {{element.shortName}}&lt;/mat-cell&gt;
    &lt;/ng-container&gt;

    &lt;mat-header-row *matHeaderRowDef&#x3D;&quot;detailDisplayedColumns&quot;&gt;&lt;/mat-header-row&gt;
    &lt;mat-row *matRowDef&#x3D;&quot;let row; columns: detailDisplayedColumns;&quot;&gt;&lt;/mat-row&gt;
  &lt;/mat-table&gt;
&lt;/mat-card&gt;
</code></pre>
    </div>


    <div class="tab-pane fade " id="c-tree">
        <div id="tree-container"></div>
        <div class="tree-legend">
            <div class="title">
                <b>Legend</b>
            </div>
            <div>
                <div class="color htmlelement"></div><span>Html element</span>
            </div>
            <div>
                <div class="color component"></div><span>Component</span>
            </div>
            <div>
                <div class="color directive"></div><span>Html element with directive</span>
            </div>
        </div>
    </div>

    
</div>

<script src="../js/libs/vis.min.js"></script>
<script src="../js/libs/htmlparser.js"></script>
<script src="../js/libs/deep-iterator.js"></script>
<script>
        var COMPONENT_TEMPLATE = '<div><mat-card>  <mat-table [dataSource]="detailDataSource" matSort             id="detailGrid">    <ng-container matColumnDef="type">      <mat-header-cell *matHeaderCellDef mat-sort-header>        {{"parameters.domain-influence.edit.detail-grid.header.type" | translate}}      </mat-header-cell>      <mat-cell *matCellDef="let element"> {{element.type}}</mat-cell>    </ng-container>    <ng-container matColumnDef="id">      <mat-header-cell *matHeaderCellDef mat-sort-header>        {{"parameters.domain-influence.edit.detail-grid.header.id" | translate}}      </mat-header-cell>      <mat-cell *matCellDef="let element"> {{element.id}}</mat-cell>    </ng-container>    <ng-container matColumnDef="name">      <mat-header-cell *matHeaderCellDef mat-sort-header>        {{"parameters.domain-influence.edit.detail-grid.header.name" | translate}}      </mat-header-cell>      <mat-cell *matCellDef="let element"> {{element.name}}</mat-cell>    </ng-container>    <ng-container matColumnDef="shortName">      <mat-header-cell *matHeaderCellDef mat-sort-header>        {{"parameters.domain-influence.edit.detail-grid.header.shortName" | translate}}      </mat-header-cell>      <mat-cell *matCellDef="let element"> {{element.shortName}}</mat-cell>    </ng-container>    <mat-header-row *matHeaderRowDef="detailDisplayedColumns"></mat-header-row>    <mat-row *matRowDef="let row; columns: detailDisplayedColumns;"></mat-row>  </mat-table></mat-card></div>'
    var COMPONENTS = [{'name': 'ActionCardComponent', 'selector': 'action-card'},{'name': 'AdminCardsViewComponent', 'selector': 'admin-cards-view'},{'name': 'AdminComponent', 'selector': 'app-admin'},{'name': 'AdminEditViewComponent', 'selector': 'admin-edit-view'},{'name': 'AppComponent', 'selector': 'app-root'},{'name': 'BallotDocumentationCardComponent', 'selector': 'ballot-documentation-card'},{'name': 'BallotDocumentationEditComponent', 'selector': ''},{'name': 'BaseCardComponent', 'selector': 'base-card'},{'name': 'BaseCreateComponent', 'selector': ''},{'name': 'BaseEditComponent', 'selector': ''},{'name': 'BusinessErrorDialogComponent', 'selector': 'app-business-error-dialog'},{'name': 'CardTitleCardComponent', 'selector': 'card-title-card'},{'name': 'CardTitleEditComponent', 'selector': 'card-title-edit'},{'name': 'CompletableCardComponent', 'selector': 'completable-card'},{'name': 'DashboardComponent', 'selector': ''},{'name': 'DefaultErrorsComponent', 'selector': 'default-errors'},{'name': 'DeploymentSummaryComponent', 'selector': 'deployment-summary'},{'name': 'DocumentCardComponent', 'selector': 'document-card'},{'name': 'DocumentEditComponent', 'selector': ''},{'name': 'DomainInfluenceCardComponent', 'selector': 'domain-influence-card'},{'name': 'DomainInfluenceEditComponent', 'selector': ''},{'name': 'DomainInfluenceGridComponent', 'selector': 'domain-influence-grid'},{'name': 'EditContentComponent', 'selector': 'edit-content'},{'name': 'EditLabelComponent', 'selector': 'edit-label'},{'name': 'EditWithSideBarComponent', 'selector': 'edit-with-side-bar'},{'name': 'ElectionDetailsComponent', 'selector': 'election-details'},{'name': 'ElectionDetailsElectoralListComponent', 'selector': 'election-details-electoral-lists'},{'name': 'ElectionDetailsTableComponent', 'selector': 'election-details-table'},{'name': 'ElectionPagePropertiesCardComponent', 'selector': 'election-page-properties-card'},{'name': 'ElectionPagePropertiesEditComponent', 'selector': 'election-page-properties-edit'},{'name': 'ElectionPagePropertiesMappingComponent', 'selector': 'election-page-properties-mapping'},{'name': 'ElectionPagePropertiesModelEditComponent', 'selector': 'election-page-properties-model-edit'},{'name': 'ElectionPagePropertiesModelListComponent', 'selector': 'election-page-properties-model-list'},{'name': 'ElectoralAuthorityKeyCardComponent', 'selector': 'electoral-authority-key-card'},{'name': 'ElectoralAuthorityKeyListComponent', 'selector': 'electoral-authority-key-list'},{'name': 'GroupedGridComponent', 'selector': 'grouped-grid'},{'name': 'HeaderComponent', 'selector': 'chvote-header'},{'name': 'HighlightedQuestionEditComponent', 'selector': 'highlighted-question-edit'},{'name': 'HighlightedQuestionListComponent', 'selector': 'highlighted-question-list'},{'name': 'KeyViewComponent', 'selector': 'key-view'},{'name': 'LocalizedHighlightedQuestionListComponent', 'selector': 'localized-highlighted-question-list'},{'name': 'LoginComponent', 'selector': ''},{'name': 'ManagementEntityCardComponent', 'selector': 'management-entity-card'},{'name': 'ManagementEntityEditComponent', 'selector': 'management-entity-edit'},{'name': 'ManagementEntityListComponent', 'selector': 'management-entity-list'},{'name': 'ManagementEntitySelectorComponent', 'selector': 'management-entity-selector'},{'name': 'MilestoneCardComponent', 'selector': 'milestone-card'},{'name': 'MilestoneEditComponent', 'selector': ''},{'name': 'ModelSelectorComponent', 'selector': 'election-page-bulk-update'},{'name': 'OperationListComponent', 'selector': 'operation-list'},{'name': 'OperationManagementComponent', 'selector': ''},{'name': 'ParametersComponent', 'selector': 'parameters'},{'name': 'ParametersEditComponent', 'selector': ''},{'name': 'ParametersNotificationComponent', 'selector': 'parameters-notification'},{'name': 'PrinterCardComponent', 'selector': 'printer-card'},{'name': 'PrinterEditComponent', 'selector': 'printer-edit'},{'name': 'PrinterViewComponent', 'selector': 'printer-view'},{'name': 'ProductionSummaryComponent', 'selector': 'production-summary'},{'name': 'RegisterCardComponent', 'selector': 'register-card'},{'name': 'RegisterListComponent', 'selector': 'register-list'},{'name': 'RegisterUploadComponent', 'selector': 'register-upload'},{'name': 'RepositoryCardComponent', 'selector': 'repository-card'},{'name': 'RepositoryEditComponent', 'selector': ''},{'name': 'SelectedElectoralAuthorityKeyCardComponent', 'selector': 'selected-electoral-authority-key-card'},{'name': 'SelectedElectoralAuthorityKeyEditComponent', 'selector': 'selected-electoral-authority-key-edit'},{'name': 'SideBarBackButtonComponent', 'selector': 'side-bar-back-button'},{'name': 'SideBarItemComponent', 'selector': 'side-bar-item'},{'name': 'SlideDetailsComponent', 'selector': 'slide-details'},{'name': 'SlideDetailsContentComponent', 'selector': 'slide-details-content'},{'name': 'SlideDetailsDetailsComponent', 'selector': 'slide-details-details'},{'name': 'SmallProgressSpinnerComponent', 'selector': 'small-progress-spinner'},{'name': 'TallyComponent', 'selector': 'tally'},{'name': 'TechnicalErrorDialogComponent', 'selector': 'app-technical-error-dialog'},{'name': 'TestingCardsLotCardComponent', 'selector': 'testing-cards-lot-card'},{'name': 'TestingCardsLotDetailsComponent', 'selector': 'testing-cards-lot-details'},{'name': 'TestingCardsLotListComponent', 'selector': 'testing-cards-lot-list'},{'name': 'TestingCardsLotSideBarItemComponent', 'selector': 'testing-cards-lot-side-bar-item'},{'name': 'TestSiteCardsDownloadButtonComponent', 'selector': 'test-site-cards-download-button'},{'name': 'TestSummaryComponent', 'selector': 'test-summary'},{'name': 'TextWithEditComponent', 'selector': 'text-with-edit'},{'name': 'UploadInputComponent', 'selector': 'upload-input'},{'name': 'VerificationCodeEditComponent', 'selector': 'verification-code-edit'},{'name': 'VotationDetailsComponent', 'selector': 'votation-details'},{'name': 'VotingMaterialComponent', 'selector': ''},{'name': 'VotingMaterialCreationProgressComponent', 'selector': 'voting-material-creation-progress'},{'name': 'VotingMaterialNotificationComponent', 'selector': 'voting-material-notification'},{'name': 'VotingPeriodComponent', 'selector': ''},{'name': 'VotingPeriodNotificationComponent', 'selector': 'voting-period-notification'},{'name': 'VotingSiteConfigurationCardComponent', 'selector': 'voting-site-configuration-card'},{'name': 'VotingSiteConfigurationComponent', 'selector': 'voting-site-configuration-edit'},{'name': 'VotingSitePeriodCardComponent', 'selector': 'voting-site-period-card'},{'name': 'VotingSitePeriodEditComponent', 'selector': 'voting-site-period-edit'},{'name': 'WaitingCover', 'selector': ''}];
    var DIRECTIVES = [{'name': 'CheckRolesDirective', 'selector': '[roles]'}];
    var ACTUAL_COMPONENT = {'name': 'DomainInfluenceGridComponent'};
</script>
<script src="../js/tree.js"></script>














                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'component';
            var COMPODOC_CURRENT_PAGE_URL = 'DomainInfluenceGridComponent.html';
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
